pcl::octree::OctreeContainerPointIndices Class Reference

Octree container class that does store a vector of point indices. More...

`#include <pcl/octree/octree_container.h>`

Inheritance diagram for pcl::octree::OctreeContainerPointIndices:

## Public Member Functions

| OctreeContainerPointIndices ()
| Empty constructor. More...
| OctreeContainerPointIndices (const OctreeContainerPointIndices &source)
| Empty constructor. More...
virtual | ~OctreeContainerPointIndices ()
| Empty deconstructor. More...
virtual OctreeContainerPointIndices * | deepCopy () const
| Octree deep copy method. More...
virtual bool | operator== (const OctreeContainerBase &other) const
| Equal comparison operator. More...
void | addPointIndex (int data_arg)
| Add point index to container memory. More...
int | getPointIndex () const
| Retrieve point index from container. More...
void | getPointIndices (std::vector< int > &data_vector_arg) const
| Retrieve point indices from container. More...
std::vector< int > & | getPointIndicesVector ()
| Retrieve reference to point indices vector. More...
size_t | getSize () const
| Get size of container (number of indices) More...
virtual void | reset ()
| Reset leaf node. More...
Public Member Functions inherited from pcl::octree::OctreeContainerBase
| OctreeContainerBase ()
| Empty constructor. More...
| OctreeContainerBase (const OctreeContainerBase &)
| Empty constructor. More...
virtual | ~OctreeContainerBase ()
| Empty deconstructor. More...
bool | operator!= (const OctreeContainerBase &other) const
| Inequal comparison operator. More...
void | addPointIndex (const int &)
| Empty addPointIndex implementation. More...
void | getPointIndex (int &) const
| Empty getPointIndex implementation as this leaf node does not store any point indices. More...
void | getPointIndices (std::vector< int > &) const
| Empty getPointIndices implementation as this leaf node does not store any data. More...

## Protected Attributes

std::vector< int > | leafDataTVector_
| Leaf node DataT vector. More...

## Detailed Description

Octree container class that does store a vector of point indices.

Note
  Enables the octree to store multiple DataT elements within its leaf nodes.

Author
  Julius Kammerl (juliu.nosp@m.s@ka.nosp@m.mmerl.nosp@m..de)

Definition at line 300 of file octree_container.h.

## Constructor & Destructor Documentation

## OctreeContainerPointIndices() [1/2]

pcl::octree::OctreeContainerPointIndices::OctreeContainerPointIndices | ( |  | ) |

inline

Empty constructor.

Definition at line 304 of file octree_container.h.

## OctreeContainerPointIndices() [2/2]

pcl::octree::OctreeContainerPointIndices::OctreeContainerPointIndices | ( | const OctreeContainerPointIndices & | source | ) |

inline

Empty constructor.

Definition at line 310 of file octree_container.h.

## ~OctreeContainerPointIndices()

virtual pcl::octree::OctreeContainerPointIndices::~OctreeContainerPointIndices | ( |  | ) |

inline virtual

Empty deconstructor.

Definition at line 317 of file octree_container.h.

## Member Function Documentation

## addPointIndex()

void pcl::octree::OctreeContainerPointIndices::addPointIndex | ( | int | data_arg | ) |

inline

Add point index to container memory.

This container stores a vector of point indices.

Parameters

  [in] | data_arg | index to be stored within leaf node.

Definition at line 343 of file octree_container.h.

## deepCopy()

virtual OctreeContainerPointIndices* pcl::octree::OctreeContainerPointIndices::deepCopy | ( |  | ) | const

inline virtual

Octree deep copy method.

Definition at line 323 of file octree_container.h.

## getPointIndex()

int pcl::octree::OctreeContainerPointIndices::getPointIndex | ( |  | ) | const

inline

Retrieve point index from container.

This container stores a vector of point indices.

Returns
  index stored within container.

Definition at line 352 of file octree_container.h.

## getPointIndices()

void pcl::octree::OctreeContainerPointIndices::getPointIndices | ( | std::vector< int > & | data_vector_arg | ) | const

inline

Retrieve point indices from container.

This container stores a vector of point indices.

Parameters

  [out] | data_vector_arg | vector of point indices to be stored within data vector

Definition at line 361 of file octree_container.h.

## getPointIndicesVector()

std::vector<int>& pcl::octree::OctreeContainerPointIndices::getPointIndicesVector | ( |  | ) |

inline

Retrieve reference to point indices vector.

This container stores a vector of point indices.

Returns
  reference to vector of point indices to be stored within data vector

Definition at line 370 of file octree_container.h.

## getSize()

size_t pcl::octree::OctreeContainerPointIndices::getSize | ( |  | ) | const

inline virtual

Get size of container (number of indices)

Returns
  number of point indices in container.

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 379 of file octree_container.h.

## operator==()

virtual bool pcl::octree::OctreeContainerPointIndices::operator== | ( | const OctreeContainerBase & | other | ) | const

inline virtual

Equal comparison operator.

Parameters

  [in] | other | OctreeContainerDataTVector to compare with

Reimplemented from pcl::octree::OctreeContainerBase.

Definition at line 332 of file octree_container.h.

References leafDataTVector_.

## reset()

virtual void pcl::octree::OctreeContainerPointIndices::reset | ( |  | ) |

inline virtual

Reset leaf node.

Clear DataT vector.

Implements pcl::octree::OctreeContainerBase.

Definition at line 386 of file octree_container.h.

## Member Data Documentation

## leafDataTVector_

std::vector<int> pcl::octree::OctreeContainerPointIndices::leafDataTVector_

protected

Leaf node DataT vector.

Definition at line 393 of file octree_container.h.

Referenced by operator==().

The documentation for this class was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/octree/include/pcl/octree/octree_container.h